# go toolchain env paths
libdir=lib
arch=386
if [ -x /usr/lib64/go ] ; then
  libdir=lib64
  arch=amd64
fi  

export GOOS="linux"
case "$(uname -m)" in
    *86)
        export GOARCH=$arch
        ;;
esac
export GOROOT=/usr/$libdir/go
export GOBIN=/usr/bin
export GOPATH=/usr/share/go/contrib

if [ `id -u` != 0 ]; then
  export GOPATH=$HOME/go:/usr/share/go/contrib
  export GOBIN=$HOME/go/bin
fi
